gnutls_x509_crq_get_extension_info(3)

NAME
gnutls_x509_crq_get_extension_info - API function

SYNOPSIS
#include <gnutls/x509.h>

int gnutls_x509_crq_get_extension_info(gnutls_x509_crq_t crq, unsigned indx, void * oid, size_t * sizeof_oid, unsigned int * critical);

ARGUMENTS

gnutls_x509_crq_t crq
    should contain a gnutls_x509_crq_t type

unsigned indx
    Specifies which extension number to get. Use (0) to get the first one.

void * oid
    a pointer to store the OID

size_t * sizeof_oid
    initially holds the maximum size of oid , on return holds actual size of oid .

unsigned int * critical
    output variable with critical flag, may be NULL.

DESCRIPTION
This function will return the requested extension OID in the certificate, and the critical flag for it. The extension OID will be stored as a string in the provided buffer. Use gnutls_x509_crq_get_extension_data() to extract the data. If the buffer provided is not long enough to hold the output, then * sizeof_oid is updated and GNUTLS_E_SHORT_MEMORY_BUFFER will be returned.

RETURNS
On success, GNUTLS_E_SUCCESS (0) is returned, otherwise a negative error code in case of an error. If your have reached the last extension available GNUTLS_E_REQUESTED_DATA_NOT_AVAILABLE will be returned.

SINCE
2.8.0

REPORTING BUGS
Report bugs to <bugs@gnutls.org>.
Home page: https://www.gnutls.org

COPYRIGHT
Copyright © 2001- Free Software Foundation, Inc., and others.
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the /usr/share/doc/gnutls/ directory does not contain the HTML form visit

https://www.gnutls.org/manual/